Developer Portal

Credit InPOST

Increase the account credit ledger. Requires the 'funding:credit-in' permission.

View as Markdown
POST
/accounts/{accountId}/credit-in

Authorization

Authorization<token>

Bearer access token issued by the admin login flow.

In: header

Request Body

application/jsonRequired
commentOptional, The comment for the deposit
amountnumber

The amount to deposit/withdraw, in account currency. Sent/received as a JSON string (e.g. "10000"), per proto3 JSON encoding of doubles.

Format: "double"
clientDealIdstring

Optional passthrough audit metadata (max 36 chars); not used for deduplication.

Path Parameters

accountIdRequiredstring

The account id to deposit to

curl -X POST "https://example.com/accounts/<string>/credit-in" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "comment": "string",
    "amount": 0.1,
    "clientDealId": "string"
  }'

A successful response.

{
  "dealId": "string"
}